# Update Mailgun SMTP credentials

Update Mailgun SMTP credentials for a given domain and SMTP user

Endpoint: PUT /v3/domains/{domain_name}/credentials/{spec}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `domain_name` (string, required)
    Hostname of credentials to be updated

  - `spec` (string, required)
    Login specification of credentials to be updated (email address)

## Request fields (multipart/form-data):

  - `password` (string)
    Supply desired password for the credentials to update if preferred over a generated one

## Response 200 fields (application/json):

  - `message` (string, required)
    Response message

  - `note` (string)
    Note to store password (when generated by Mailgun)

  - `credentials` (object)
    Credential username/password values (when generated by Mailgun)

## Response 404 fields (application/json):

  - `message` (string, required)
    Response message


